Bug 625781 - O SELinux está a impedir o acesso /usr/lib/cyrus-imapd/deliver "open" on /usr/lib/cyrus-imapd/deliver
Summary: O SELinux está a impedir o acesso /usr/lib/cyrus-imapd/deliver "open" on...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:267b65b553e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-20 12:35 UTC by Carlos Miguel Sousa Almeida
Modified: 2010-08-31 06:39 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-51.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-31 06:39:17 UTC


Attachments (Terms of Use)

Description Carlos Miguel Sousa Almeida 2010-08-20 12:35:18 UTC
Resumo:

O SELinux está a impedir o acesso /usr/lib/cyrus-imapd/deliver "open" on
/usr/lib/cyrus-imapd/deliver

Descrição Detalhada:

[SELinux está em modo permissivo. Este acesso não foi negado.]

O SELinux negou o acesso pedido pelo deliver. Não se espera que este acesso
seja necessário para o deliver e este acesso poderá assinalar uma tentativa de
intrusão. Também é possível que a versão ou configuração específicas da
aplicação estejam a obrigá-la a precisar de acesso ad

A Permitir o Acesso:

Você pode gerar um módulo com uma politica local para permitir este acesso -
Consulte FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Por
favor, preencha um relatório de erro.

Informação Adicional:

Contexto de Origem            system_u:system_r:postfix_pipe_t:s0
Contexto de Destino           system_u:object_r:bin_t:s0
Objectos de Destino           /usr/lib/cyrus-imapd/deliver [ file ]
Fonte                         deliver
Caminho de Origem             /usr/lib/cyrus-imapd/deliver
Porto                         <Desconhecida>
Máquina                      (removido)
Pacotes RPM Fonte             cyrus-imapd-2.3.16-3.fc13
Pacotes RPM Destino           cyrus-imapd-2.3.16-3.fc13
RPM da Política              selinux-policy-3.7.19-47.fc13
Selinux Activo                True
Tipo de Política             targeted
Modo de Execução Forçada   Permissive
Nome do Plugin                catchall
Nome da Máquina              (removido)
Plataforma                    Linux (removido)
                              2.6.33.6-147.2.4.fc13.i686.PAE #1 SMP Fri Jul 23
                              17:21:06 UTC 2010 i686 i686
Contador de Alertas           3
Primeira Vez Visto            Sex 20 Ago 2010 12:54:27 WEST
Última Vez Visto             Sex 20 Ago 2010 13:32:48 WEST
ID Local                      65aaddf0-3201-42c0-be52-8d9dfbe481ca
Números de Linha             

Mensagens de Auditoria em Bru 

node=(removido) type=AVC msg=audit(1282307568.977:547): avc:  denied  { open } for  pid=30763 comm="pipe" name="deliver" dev=dm-0 ino=4368888 scontext=system_u:system_r:postfix_pipe_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removido) type=SYSCALL msg=audit(1282307568.977:547): arch=40000003 syscall=11 success=yes exit=0 a0=9f5178 a1=9f51d8 a2=9f5300 a3=9f51d8 items=0 ppid=30762 pid=30763 auid=4294967295 uid=76 gid=12 euid=76 suid=76 fsuid=76 egid=12 sgid=12 fsgid=12 tty=(none) ses=4294967295 comm="deliver" exe="/usr/lib/cyrus-imapd/deliver" subj=system_u:system_r:postfix_pipe_t:s0 key=(null)



Hash String generated from  catchall,deliver,postfix_pipe_t,bin_t,file,open
audit2allow suggests:

#============= postfix_pipe_t ==============
allow postfix_pipe_t bin_t:file open;

Comment 1 Daniel Walsh 2010-08-23 18:01:39 UTC
Looks like we need to add

corecmd_exec_bin(postfix_pipe_t)

Comment 2 Miroslav Grepl 2010-08-24 12:10:29 UTC
Fixed in selinux-policy-3.7.19-50.fc13

Comment 3 Fedora Update System 2010-08-25 15:36:11 UTC
selinux-policy-3.7.19-51.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 4 Fedora Update System 2010-08-26 00:58:57 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 5 Fedora Update System 2010-08-31 06:38:06 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.